io.undertow.server

## Class DirectByteBufferDeallocator

- java.lang.Object
- - io.undertow.server.DirectByteBufferDeallocator

    public final class DirectByteBufferDeallocator
    extends Object

`DirectByteBufferDeallocator` Utility class used to free direct buffer memory.

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `free(ByteBuffer buffer)` Attempts to deallocate the underlying direct memory.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### free

    public static void free(ByteBuffer buffer)

Attempts to deallocate the underlying direct memory. This is a no-op for buffers where `ByteBuffer.isDirect()` returns false.

Parameters:
  `buffer` - to deallocate